Bug 7466 - S3 didn't manage to register dynamic dns record in a S4 domain
S3 didn't manage to register dynamic dns record in a S4 domain
Status: RESOLVED WORKSFORME
Product: Samba 4.0
Classification: Unclassified
Component: DNS server
4.0.0rc4
Other Linux
: P3 normal
: ---
Assigned To: Kai Blin
Samba QA Contact
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2010-05-27 14:15 UTC by Matthieu Patou
Modified: 2012-11-08 07:52 UTC (History)
3 users (show)

See Also:


Attachments
TCPdump trace from s3 server when joining a s4 domain (75.03 KB, application/octet-stream)
2010-05-27 14:16 UTC, Matthieu Patou
no flags Details
net ads dns register -k -d 10 (26.71 KB, text/plain)
2010-05-27 14:22 UTC, Matthieu Patou
no flags Details
Trace associated to the net join (402.68 KB, application/octet-stream)
2012-10-07 06:59 UTC, Matthieu Patou
no flags Details
Fix for the panic (672 bytes, patch)
2012-11-04 22:48 UTC, Andrew Bartlett
obnox: review+
mat: review+
Details
Trace from today (12.14 KB, application/octet-stream)
2012-11-06 10:23 UTC, Matthieu Patou
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2010-05-27 14:15:36 UTC
net ads join or net ads dns register both fails to register dns record for the host.

Error message is: DNS update failed!
Comment 1 Matthieu Patou 2010-05-27 14:16:34 UTC
Created attachment 5743 [details]
TCPdump trace from s3 server when joining a s4 domain

The s3 server has already joined the domain I just reforce it to join.
Comment 2 Matthieu Patou 2010-05-27 14:22:41 UTC
Created attachment 5744 [details]
net ads dns register -k -d 10
Comment 3 Matthieu Patou 2010-05-27 14:32:18 UTC
In the capture it appears that the server is requsting a ticket on dns/servername
I tried the same on a w2k8r2 domain and it is also not working. It seems that the spn dns/hostname do not exists by default.

I also saw in a capture (lost because on /tmp and I had to reboot meanwhile) that the kerberos server reply something like krb5_bad_option.
Comment 4 Matthieu Patou 2012-03-17 07:22:11 UTC
Is it fixed ?

If not I think it's necessary that the samba 4.0 FS is able to register DNS records to a samba 4.0 ADDC
Comment 5 Kai Blin 2012-10-04 06:24:23 UTC
I think we can close this one. I'm pretty sure this works against both S4 with internal DNS and Windows.
Comment 6 Matthieu Patou 2012-10-04 07:15:58 UTC
Last time I tried (for SDC) the dns registration segfaulting ... so no I'm not 100% sure it's fixed
Comment 7 Kai Blin 2012-10-05 08:35:53 UTC
Backtrace?
Comment 8 Kai Blin 2012-10-06 09:23:51 UTC
The problem this bug initially was about is fixed, looking at your network trace. Please provide the backtrace from your crash and the exact steps to reproduce this, as joining an s3 box to an s4 AD DC works fine in my test environment.
Comment 9 Matthieu Patou 2012-10-07 06:53:16 UTC
So I start like this:
/usr/local/samba/bin/net ads join  -Uadministrator%samba,rocks@SDC2012
print_kdc_line: can't resolve name for kdc with non-default port [2001:470:789f:1:a00:27ff:fe00:ff41]. Error Name or service not known
Using short domain name -- DOM1
Joined 'SAMBA4FS' to realm 'dom1.sambacorp.local'
For a while the join process is "blocked" and I have the following backtrace 

(gdb) bt
#0  0x00007f04db5863d0 in __connect_nocancel () from /lib/libpthread.so.0
#1  0x00007f04d862a274 in swrap_connect (s=14, serv_addr=0x7fff39cf1390, addrlen=16) at ../lib/socket_wrapper/socket_wrapper.c:1753
#2  0x00007f04db0ecc06 in dns_tcp_open (nameserver=0x7fff39cf1520 "dc.dom1.sambacorp.local", mem_ctx=0x2123700, result=0x7fff39cf1468) at ../lib/addns/dnssock.c:73
#3  0x00007f04db0ece1c in dns_open_connection (nameserver=0x7fff39cf1520 "dc.dom1.sambacorp.local", dwType=1, mem_ctx=0x2123700, conn=0x7fff39cf1468)
    at ../lib/addns/dnssock.c:144
#4  0x000000000048f659 in DoDNSUpdate (pszServerName=0x7fff39cf1520 "dc.dom1.sambacorp.local", pszDomainName=0x7fff39cf16f9 "dom1.sambacorp.local", 
    pszHostName=0x7fff39cf16f0 "samba4fs.dom1.sambacorp.local", sslist=0x21232d0, num_addrs=2) at ../source3/utils/net_dns.c:57
#5  0x000000000044c3f0 in net_update_dns_internal (ctx=0x20f74c0, ads=0x21226a0, machine_name=0x7fff39cf16f0 "samba4fs.dom1.sambacorp.local", addrs=0x21232d0, 
    num_addrs=2) at ../source3/utils/net_ads.c:1218
#6  0x000000000044c689 in net_update_dns_ext (mem_ctx=0x20f74c0, ads=0x21226a0, hostname=0x0, iplist=0x21232d0, num_addrs=2) at ../source3/utils/net_ads.c:1277
#7  0x000000000044c6f3 in net_update_dns (mem_ctx=0x20f74c0, ads=0x21226a0, hostname=0x0) at ../source3/utils/net_ads.c:1288
#8  0x000000000044ca22 in _net_ads_join_dns_updates (ctx=0x20f74c0, r=0x20f8620) at ../source3/utils/net_ads.c:1392
#9  0x000000000044d115 in net_ads_join (c=0x20f2170, argc=0, argv=0x20f4608) at ../source3/utils/net_ads.c:1548
#10 0x000000000048cf9e in net_run_function (c=0x20f2170, argc=1, argv=0x20f4600, whoami=0x4bec70 "net ads", table=0x7fff39cf19f0) at ../source3/utils/net_util.c:517
#11 0x000000000045064f in net_ads (c=0x20f2170, argc=1, argv=0x20f4600) at ../source3/utils/net_ads.c:2865
#12 0x000000000048cf9e in net_run_function (c=0x20f2170, argc=2, argv=0x20f45f8, whoami=0x4bbd7b "net", table=0x6f6300) at ../source3/utils/net_util.c:517
#13 0x000000000044801a in main (argc=4, argv=0x7fff39cf28d8) at ../source3/utils/net.c:960



DNS update failed: NT_STATUS_UNSUCCESSFUL
.Freed frame ../source3/utils/net.c:780, expected ../source3/libads/kerberos.c:688.
PANIC (pid 1139): Frame not freed in order.
BACKTRACE: 9 stack frames:
 #0 /usr/local/samba/lib/libsmbconf.so.0(log_stack_trace+0x1f) [0x7f04d720a51f]
 #1 /usr/local/samba/lib/libsmbconf.so.0(smb_panic_s3+0x6d) [0x7f04d720a38e]
 #2 /usr/local/samba/lib/libsamba-util.so.0(smb_panic+0x28) [0x7f04d884af86]
 #3 /usr/local/samba/lib/libsamba-util.so.0(+0xdde7) [0x7f04d883bde7]
 #4 /usr/local/samba/lib/private/libtalloc.so.2(+0x2e83) [0x7f04d6fdce83]
 #5 /usr/local/samba/lib/private/libtalloc.so.2(_talloc_free+0x102) [0x7f04d6fde345]
 #6 /usr/local/samba/bin/net(main+0xdf9) [0x4480a7]
 #7 /lib/libc.so.6(__libc_start_main+0xfd) [0x7f04d33adc8d]
 #8 /usr/local/samba/bin/net() [0x41dce9]
smb_panic(): calling panic action [/usr/local/src/samba/selftest/gdb_backtrace 1139]
[Thread debugging using libthread_db enabled]
0x00007f04d342f5fe in waitpid () from /lib/libc.so.6
#0  0x00007f04d342f5fe in waitpid () from /lib/libc.so.6
No symbol table info available.
#1  0x00007f04d33cd2c9 in ?? () from /lib/libc.so.6
No symbol table info available.
#2  0x00007f04d720a421 in smb_panic_s3 (why=0x7f04d885bded "Frame not freed in order.") at ../source3/lib/util.c:823
        cmd = 0x20fd120 "/usr/local/src/samba/selftest/gdb_backtrace 1139"
        result = 0
        __FUNCTION__ = "smb_panic_s3"
#3  0x00007f04d884af86 in smb_panic (why=0x7f04d885bded "Frame not freed in order.") at ../lib/util/fault.c:159
No locals.
#4  0x00007f04d883bde7 in talloc_pop (frame=0x20f2110) at ../lib/util/talloc_stack.c:106
        ts = 0x20f2040
        i = 0
        __FUNCTION__ = "talloc_pop"
#5  0x00007f04d6fdce83 in _talloc_free_internal (ptr=0x20f2110, location=0x4bbe10 "../source3/utils/net.c:970") at ../lib/talloc/talloc.c:831
        d = 0x7f04d883bcde <talloc_pop>
        tc = 0x20f20c0
#6  0x00007f04d6fde345 in _talloc_free (ptr=0x20f2110, location=0x4bbe10 "../source3/utils/net.c:970") at ../lib/talloc/talloc.c:1371
        tc = 0x20f20c0
#7  0x00000000004480a7 in main (argc=4, argv=0x7fff39cf28d8) at ../source3/utils/net.c:970
        opt = -1
        i = 3
        p = 0x20f4c4d ""
        rc = 0
        argc_new = 3
        argv_new = 0x20f45f0
        pc = 0x20f42d0
        frame = 0x20f2110
        c = 0x20f2170
        long_options = {{longName = 0x4bbb39 "help", shortName = 104 'h', argInfo = 0, arg = 0x0, val = 104, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbbca "workgroup", shortName = 119 'w', argInfo = 1, arg = 0x20f21e0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bab55 "user", shortName = 85 'U', argInfo = 1, arg = 0x20f2188, val = 85, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbbd4 "ipaddress", shortName = 73 'I', argInfo = 1, arg = 0x0, val = 73, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbbde "port", shortName = 112 'p', argInfo = 2, arg = 0x20f21b0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbbe3 "myname", shortName = 110 'n', argInfo = 1, arg = 0x20f2170, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4ba9f7 "server", shortName = 83 'S', argInfo = 1, arg = 0x20f2178, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbbea "encrypt", shortName = 101 'e', argInfo = 0, arg = 0x0, val = 101, descrip = 0x4bbbf8 "Encrypt SMB transport (UNIX extended servers only)", argDescrip = 0x0}, {longName = 0x4bbc2b "container", shortName = 99 'c', argInfo = 1, arg = 0x20f21c8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc35 "comment", shortName = 67 'C', argInfo = 1, arg = 0x20f21c0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc3d "maxusers", shortName = 77 'M', argInfo = 2, arg = 0x20f21b8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc46 "flags", shortName = 70 'F', argInfo = 2, arg = 0x20f21d0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc4c "long", shortName = 108 'l', argInfo = 0, arg = 0x20f21a0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc51 "reboot", shortName = 114 'r', argInfo = 0, arg = 0x20f21a4, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc58 "force", shortName = 102 'f', argInfo = 0, arg = 0x20f21a8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc5e "stdin", shortName = 105 'i', argInfo = 0, arg = 0x20f21ac, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc64 "timeout", shortName = 116 't', argInfo = 2, arg = 0x20f21d4, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc6c "request-timeout", shortName = 0 '\000', argInfo = 2, arg = 0x20f21d8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc7c "machine-pass", shortName = 80 'P', argInfo = 0, arg = 0x20f21e8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc89 "kerberos", shortName = 107 'k', argInfo = 0, arg = 0x20f2224, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc92 "myworkgroup", shortName = 87 'W', argInfo = 1, arg = 0x20f2198, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc9e "use-ccache", shortName = 0 '\000', argInfo = 0, arg = 0x20f222c, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbca9 "verbose", shortName = 118 'v', argInfo = 0, arg = 0x20f21b4, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcb1 "test", shortName = 84 'T', argInfo = 0, arg = 0x20f2220, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcb6 "local", shortName = 76 'L', argInfo = 0, arg = 0x20f21ec, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4baa65 "domain", shortName = 68 'D', argInfo = 0, arg = 0x20f21f0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcbc "ntname", shortName = 78 'N', argInfo = 1, arg = 0x20f21f8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcc3 "rid", shortName = 82 'R', argInfo = 2, arg = 0x20f2200, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcc7 "acls", shortName = 0 '\000', argInfo = 0, arg = 0x20f2204, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbccc "attrs", shortName = 0 '\000', argInfo = 0, arg = 0x20f2208, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcd2 "timestamps", shortName = 0 '\000', argInfo = 0, arg = 0x20f220c, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcdd "exclude", shortName = 88 'X', argInfo = 1, arg = 0x20f2210, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbce5 "destination", shortName = 0 '\000', argInfo = 1, arg = 0x20f2218, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcf1 "tallocreport", shortName = 0 '\000', argInfo = 0, arg = 0x20f21f4, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcfe "force-full-repl", shortName = 0 '\000', argInfo = 0, arg = 0x20f2228, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd0e "single-obj-repl", shortName = 0 '\000', argInfo = 0, arg = 0x20f2230, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd1e "clean-old-entries", shortName = 0 '\000', argInfo = 0, arg = 0x20f2234, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd30 "db", shortName = 0 '\000', argInfo = 1, arg = 0x20f2238, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd33 "lock", shortName = 0 '\000', argInfo = 0, arg = 0x20f2240, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd38 "auto", shortName = 97 'a', argInfo = 0, arg = 0x20f2244, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd3d "repair", shortName = 0 '\000', argInfo = 0, arg = 0x20f2248, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd44 "reg-version", shortName = 0 '\000', argInfo = 2, arg = 0x20f224c, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd50 "output", shortName = 111 'o', argInfo = 1, arg = 0x20f2250, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd57 "wipe", shortName = 0 '\000', argInfo = 0, arg = 0x20f2258, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd5c "precheck", shortName = 0 '\000', argInfo = 1, arg = 0x20f2260, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x0, shortName = 0 '\000', argInfo = 4, arg = 0x7f04d8c708e0, val = 0, descrip = 0x4bbd65 "Common samba options:", argDescrip = 0x0}, {longName = 0x0, shortName = 0 '\000', argInfo = 0, arg = 0x0, val = 0, descrip = 0x0, argDescrip = 0x0}}
        __FUNCTION__ = "main"

Thread 1 (Thread 0x7f04db97c700 (LWP 1139)):
#0  0x00007f04d342f5fe in waitpid () from /lib/libc.so.6
No symbol table info available.
#1  0x00007f04d33cd2c9 in ?? () from /lib/libc.so.6
No symbol table info available.
#2  0x00007f04d720a421 in smb_panic_s3 (why=0x7f04d885bded "Frame not freed in order.") at ../source3/lib/util.c:823
        cmd = 0x20fd120 "/usr/local/src/samba/selftest/gdb_backtrace 1139"
        result = 0
        __FUNCTION__ = "smb_panic_s3"
#3  0x00007f04d884af86 in smb_panic (why=0x7f04d885bded "Frame not freed in order.") at ../lib/util/fault.c:159
No locals.
#4  0x00007f04d883bde7 in talloc_pop (frame=0x20f2110) at ../lib/util/talloc_stack.c:106
        ts = 0x20f2040
        i = 0
        __FUNCTION__ = "talloc_pop"
#5  0x00007f04d6fdce83 in _talloc_free_internal (ptr=0x20f2110, location=0x4bbe10 "../source3/utils/net.c:970") at ../lib/talloc/talloc.c:831
        d = 0x7f04d883bcde <talloc_pop>
        tc = 0x20f20c0
#6  0x00007f04d6fde345 in _talloc_free (ptr=0x20f2110, location=0x4bbe10 "../source3/utils/net.c:970") at ../lib/talloc/talloc.c:1371
        tc = 0x20f20c0
#7  0x00000000004480a7 in main (argc=4, argv=0x7fff39cf28d8) at ../source3/utils/net.c:970
        opt = -1
        i = 3
        p = 0x20f4c4d ""
        rc = 0
        argc_new = 3
        argv_new = 0x20f45f0
        pc = 0x20f42d0
        frame = 0x20f2110
        c = 0x20f2170
        long_options = {{longName = 0x4bbb39 "help", shortName = 104 'h', argInfo = 0, arg = 0x0, val = 104, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbbca "workgroup", shortName = 119 'w', argInfo = 1, arg = 0x20f21e0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bab55 "user", shortName = 85 'U', argInfo = 1, arg = 0x20f2188, val = 85, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbbd4 "ipaddress", shortName = 73 'I', argInfo = 1, arg = 0x0, val = 73, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbbde "port", shortName = 112 'p', argInfo = 2, arg = 0x20f21b0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbbe3 "myname", shortName = 110 'n', argInfo = 1, arg = 0x20f2170, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4ba9f7 "server", shortName = 83 'S', argInfo = 1, arg = 0x20f2178, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbbea "encrypt", shortName = 101 'e', argInfo = 0, arg = 0x0, val = 101, descrip = 0x4bbbf8 "Encrypt SMB transport (UNIX extended servers only)", argDescrip = 0x0}, {longName = 0x4bbc2b "container", shortName = 99 'c', argInfo = 1, arg = 0x20f21c8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc35 "comment", shortName = 67 'C', argInfo = 1, arg = 0x20f21c0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc3d "maxusers", shortName = 77 'M', argInfo = 2, arg = 0x20f21b8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc46 "flags", shortName = 70 'F', argInfo = 2, arg = 0x20f21d0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc4c "long", shortName = 108 'l', argInfo = 0, arg = 0x20f21a0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc51 "reboot", shortName = 114 'r', argInfo = 0, arg = 0x20f21a4, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc58 "force", shortName = 102 'f', argInfo = 0, arg = 0x20f21a8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc5e "stdin", shortName = 105 'i', argInfo = 0, arg = 0x20f21ac, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc64 "timeout", shortName = 116 't', argInfo = 2, arg = 0x20f21d4, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc6c "request-timeout", shortName = 0 '\000', argInfo = 2, arg = 0x20f21d8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc7c "machine-pass", shortName = 80 'P', argInfo = 0, arg = 0x20f21e8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc89 "kerberos", shortName = 107 'k', argInfo = 0, arg = 0x20f2224, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc92 "myworkgroup", shortName = 87 'W', argInfo = 1, arg = 0x20f2198, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbc9e "use-ccache", shortName = 0 '\000', argInfo = 0, arg = 0x20f222c, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbca9 "verbose", shortName = 118 'v', argInfo = 0, arg = 0x20f21b4, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcb1 "test", shortName = 84 'T', argInfo = 0, arg = 0x20f2220, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcb6 "local", shortName = 76 'L', argInfo = 0, arg = 0x20f21ec, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4baa65 "domain", shortName = 68 'D', argInfo = 0, arg = 0x20f21f0, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcbc "ntname", shortName = 78 'N', argInfo = 1, arg = 0x20f21f8, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcc3 "rid", shortName = 82 'R', argInfo = 2, arg = 0x20f2200, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcc7 "acls", shortName = 0 '\000', argInfo = 0, arg = 0x20f2204, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbccc "attrs", shortName = 0 '\000', argInfo = 0, arg = 0x20f2208, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcd2 "timestamps", shortName = 0 '\000', argInfo = 0, arg = 0x20f220c, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcdd "exclude", shortName = 88 'X', argInfo = 1, arg = 0x20f2210, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbce5 "destination", shortName = 0 '\000', argInfo = 1, arg = 0x20f2218, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcf1 "tallocreport", shortName = 0 '\000', argInfo = 0, arg = 0x20f21f4, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbcfe "force-full-repl", shortName = 0 '\000', argInfo = 0, arg = 0x20f2228, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd0e "single-obj-repl", shortName = 0 '\000', argInfo = 0, arg = 0x20f2230, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd1e "clean-old-entries", shortName = 0 '\000', argInfo = 0, arg = 0x20f2234, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd30 "db", shortName = 0 '\000', argInfo = 1, arg = 0x20f2238, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd33 "lock", shortName = 0 '\000', argInfo = 0, arg = 0x20f2240, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd38 "auto", shortName = 97 'a', argInfo = 0, arg = 0x20f2244, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd3d "repair", shortName = 0 '\000', argInfo = 0, arg = 0x20f2248, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd44 "reg-version", shortName = 0 '\000', argInfo = 2, arg = 0x20f224c, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd50 "output", shortName = 111 'o', argInfo = 1, arg = 0x20f2250, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd57 "wipe", shortName = 0 '\000', argInfo = 0, arg = 0x20f2258, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x4bbd5c "precheck", shortName = 0 '\000', argInfo = 1, arg = 0x20f2260, val = 0, descrip = 0x0, argDescrip = 0x0}, {longName = 0x0, shortName = 0 '\000', argInfo = 4, arg = 0x7f04d8c708e0, val = 0, descrip = 0x4bbd65 "Common samba options:", argDescrip = 0x0}, {longName = 0x0, shortName = 0 '\000', argInfo = 0, arg = 0x0, val = 0, descrip = 0x0, argDescrip = 0x0}}
        __FUNCTION__ = "main"
No symbol table info available.
A debugging session is active.

	Inferior 1 [process 1139] will be detached.

Quit anyway? (y or n) [answered Y; input not from terminal]
smb_panic(): action returned status 0
Can not dump core: corepath not set up
Comment 10 Matthieu Patou 2012-10-07 06:59:27 UTC
Created attachment 7997 [details]
Trace associated to the net join
Comment 11 Matthieu Patou 2012-10-07 07:00:57 UTC
Note that now net ads register works.
Comment 12 Kai Blin 2012-10-09 09:20:15 UTC
To me this looks like kerberos is unhappy. it keeps looking up the name of the KDC. Not sure what's going on there.
Comment 13 Kai Blin 2012-10-09 09:23:30 UTC
And your backtrace is stuck on a tcp connect. Does your client have a route to both IPs of that server?
Comment 14 Michael Adam 2012-11-01 13:19:53 UTC
Is this a bug in the client tools of 3.5.X (in which this can't block the 4.0 release) or is it a bug in samba 4.0.0rcY?

Is this a duplicate of bug #7458 ?
Comment 15 Andrew Bartlett 2012-11-04 22:48:51 UTC
Created attachment 8147 [details]
Fix for the panic

This fixes the panic, which is simply due to the developer assertions around talloc_stackframe use.
Comment 16 Michael Adam 2012-11-04 23:08:56 UTC
(In reply to comment #15)
> Created attachment 8147 [details]
> Fix for the panic
> 
> This fixes the panic, which is simply due to the developer assertions around
> talloc_stackframe use.

The patch is obviously correct.

But it is patch against master.
I am a little confused, since the bug report is against 3.5.
From a first look, the 3.5 code does not suffer from this
stack order violation.

Michael
Comment 17 Michael Adam 2012-11-04 23:09:52 UTC
Comment on attachment 8147 [details]
Fix for the panic

Patch is correct.
(For master.)
Does if fix _this_ bug?
Comment 18 Andrew Bartlett 2012-11-05 00:51:02 UTC
I don't know - I actually wanted to clone the bug for this distinct issue, but I don't know how to clone in our bugzilla.
Comment 19 Matthieu Patou 2012-11-06 07:30:45 UTC
From the initial report it seems that it's fixed for 3.5 as well, as we now support the dns/server SPN.

And I shamelessly hijacked my own bug to change a bit the scope.
Now the question is to know whether or not with this patch we register the name, I think as the error was for the error path that it indicates that something was failing.
Comment 20 Matthieu Patou 2012-11-06 10:20:53 UTC
Comment on attachment 8147 [details]
Fix for the panic

Fix the crash
Comment 21 Matthieu Patou 2012-11-06 10:23:43 UTC
Created attachment 8156 [details]
Trace from today

So the server sends a request to the DNS server and the request fails on the DC.
Comment 22 Kai Blin 2012-11-06 11:13:16 UTC
server log, please?
Comment 23 Matthieu Patou 2012-11-08 07:52:35 UTC
Can't reproduce with rc4.